﻿
{*******************************************************}
{                                                       }
{       SAB Object Framework                            }
{       SAB Consts                                      }
{                                                       }
{       Copyright (c) 2017-23 TDP                       }
{                                                       }
{****************************************************tk*}

unit SAB.Consts;

interface

uses
  SAB.Types;

const
{ DO NOT LOCALIZE }
  SSabSafeBox_Sign           = 'safebox';
  SSabSafeBoxes_Sign         = 'safeboxes';
  SSabRecord_Sign            = 'record';
  SSabRecords_Sign           = 'records';
  SSabStations_Sign          = 'stations';
  SSabConfigs_Sign           = 'configs';
  SSabItems_Sign             = 'items';
  SSabBoxes_Sign             = 'boxes';

  SSabDefaults_Sign          = 'defaults';

  SSabAccessCode             = 'SAB-Access-Code';
  SSabSafeBoxTypeFld         = 'type';
  SSabRecordTemplateFld      = 'template';

  SAuthenticated             = 'authenticated';
  SUid                       = 'uid';
  SSabUser                   = 'SAB_USER';
  SSabAdmin                  = 'SAB_ADMIN';
  SCfgAdmin                  = 'CFG_ADMIN';
  SSafeBoxUser               = 'SAFEBOX_USER';
  SSafeBoxAdmin              = 'SAFEBOX_ADMIN';
  SAuditor                   = 'AUDITOR';

  SSabStatusProduct          = 'product';
  SSabStatusApiVersion       = 'apiVersion';
  SSabStatusGmtTime          = 'gmtTime';
  SSabStatusServTime         = 'serverTime';
  SSabStatusVersion          = 'version';

  SSabStatus2ndFactor        = 'secondFactorRequired';
  SSabSecurityCode           = 'securityCode';
  SAccessCodeTimeout         = 'accessCodeTimeout';
  SHasAccessCode             = 'hasAccessCode';
  SMustConfigureSecondFactor = 'mustConfigureSecondFactor';
  SUserLanguage              = 'lang';
  SEnterpriseEdition         = 'enterpriseEdition';
  SAppUri                    = 'appUri';
  SLoginUri                  = 'loginUri';
  SUsername                  = 'username';
  SDomain                    = 'domain';
  SLoginPasswordRequirements = 'loginPasswordRequirements';
  SAccessCodeRequirements    = 'accessCodeRequirements';
  SUserPasswordGeneratorPath = 'userPasswordGeneratorPath';
  SHasFeatureCbtClient       = 'hasFeatureCbtClient';
  SHasFeatureFileManager     = 'hasFeatureFileManager';

  SSabReg2FAIssuer           = 'issuer';
  SSabReg2FAccount           = 'account';
  SSabReg2FAKey              = 'key';
  SSecretKeyUri              = 'secretKeyUri';

  SSabRecodAccountTempl      = 'account';
  SSabRecodAccountSecTempl   = 'account-sec';
  SSabRecordFileTempl        = 'file';
  SSabRecordCertTempl        = 'cert';                   // certificate
  SSabRecordCCardTempl       = 'ccard';                  // creditc
  SSabStation                = 'station';
  SSabExternalFile           = 'external-file';

  SSabSafeBoxType            = 'SAFEBOX';
  SSabSafeBoxGroupType       = 'SAFEBOX_GROUP';

  SSearchResult              = 'result';
  SSearchByNoteResult        = 'recordIds';
  SSearchOwner               = 'owner';
  SSearchOwnerId             = 'ownerId';
  SSearchParent              = 'parent';

  SSabBoxDescription         = 'description';
  SSabBoxPswdPattern         = 'passwordPattern';
  SSabBoxPrivate             = 'privateBox';
  SSabBoxParentId            = 'parentId';

  SSabObjId                  = 'id';
  SSabObjName                = 'name';
  SSabObjModified            = 'modified';
  SSabRecordDescription      = 'description';
  SSabRecordTags             = 'tags';
  SSabRecordLauncher         = 'launcher';
  SSabRecordNote             = 'note';
  SSabRecordSite             = 'site';
  SSabRecordSecNote          = 'sec-note';
  SSabBoxOwnerName           = 'ownerName';
  SSabBoxACL                 = 'boxACL';
  SSabBoxWatched             = 'watched';
  SSabBoxWatchedAccess       = 'watchedAccesses';
  SSabBoxExternalFile        = 'externalFilesPath';

  SSabDeletedOwner           = 'owner';
  SSabOwnerId                = 'ownerId';
  SSabIcon                   = 'icon';
  SSabWhiteBox               = 'whitebox';
  SSabLogin                  = 'login';
  SSabFromSite               = 'fromSite';
  SSabDate                   = 'date';
  SSabDeletedParent          = 'deletedParent';
  SSabDeletedParentType      = 'deletedParentType';
  SSabDeletedParentId        = 'deletedParentId';
  SSabDeletedParentName      = 'deletedParentName';

  SSabAccountLoginSite       = 'site';
  SSabAccountLoginName       = 'loginName';
  SSabAccountServerAddress   = 'serverAddress';
  SSabAccountPassword        = 'password';
  SSabAccountPasswordRe      = 'passwordRe';

  SSabAccountSecLoginName    = 'sec-loginName';
  SSabAccountSecServerAddr   = 'sec-serverAddress';

  SSabFileName               = 'file';
  SSabFileSizeApprox         = 'fileSizeApprox';
  SSabRecordsFileName        = 'fileName';
  SSabFileContent            = 'content';

  SSabExternalFileName       = 'efFileName';
  SSabExternalFilePath       = 'efFilePath';
  SSabExternalFileKey        = 'efKey';
  SSabExternalFileIV         = 'efIV';
  SSabExternalFileAAD        = 'efAAD';
  SSabExternalFileSize       = 'fileSize';

  SSabExtFileParamPath       = 'filePath';
  SSabExtFileParamKey        = 'key';
  SSabExtFileParamIV         = 'iv';
  SSabExtFileParamAAD        = 'aad';

  SSabCCardNumber            = 'number';
  SSabCCardExpiration        = 'expiration';
  SSabCCardCvv               = 'cvv';
  SSabCCardPin               = 'pin';

  SSabCertifAlias            = 'alias';
  SSabCertifFile             = 'file';
  SSabCertifFilePswd         = 'filePassword';

  SSabStationName            = 'stationName';
  SSabStationConfigName      = 'configName';
  SSabStationPlatform        = 'platform';
  SSabStationUserName        = 'userName';
  SSabStationDefUser         = 'defaultUser';
  SSabStationDefDomain       = 'defaultDomain';
  SSabStationIp              = 'stationIp';
  SSabStationTimeZone        = 'timezone';
  SSabStationRegistered      = 'registered';
  SSabStationLastAccess      = 'lastAccess';

  SSabConfigSeedBase         = 'seedBase';
  SSabConfigPattern          = 'pattern';
  SSabConfigPlatforms        = 'platforms';

  SHttpRequestContent        = 'application/x-www-form-urlencoded';

  SInvalidAccessCodeKey      = 'AccessCodeValidator.invalid.password';
  SMissingAccessCodeKey      = 'AccessCodeValidator.missing';
  SAccessCodeBannedKey       = 'AccessCode.banned';
  SDelBoxHasExternals        = 'safebox.delete.hasexternalfiles';

  SLoginFailed               = 'login.failed';
  SSecondFactorInvalid       = 'err.secondfactor.invalid';
  SLoggedOutMessage          = 'You have been logged out';

  SSabUserPassword           = 'password';
  SSabUserPasswordNew        = 'password_new';
  SSabUserPasswordRe         = 'password_repeat';
  SSabUserAccessCodeNew      = 'accesscode_new';
  SSabUserAccessCodeRe       = 'accesscode_repeat';

  SSabSetPswdDomainRet       = 'domain';
  SSabSetPswdUsernameRet     = 'username';
  SSabFileSizeLimit          = 'fileSizeLimit';


  SPswdChkTimeToCrackOffline = 'timeToCrackOffline';
  SPswdChkTimeToCrackOnline  = 'timeToCrackOnline';
  SPswdChkSecondsToCrackOff  = 'secondsToCrackOffline';
  SPswdChkSecondsToCrackOn   = 'secondsToCrackOnline';
  SPswdChkEntropy            = 'entropy';
  SPswdChkLowercase          = 'lowercase';
  SPswdChkUppercase          = 'uppercase';
  SPswdChkDigits             = 'digits';
  SPswdChkSpecial            = 'special';
  SPswdChkLength             = 'len';
  SPswdChkLowerCaseBad       = 'lowercaseBad';
  SPswdChkUpperCaseBad       = 'uppercaseBad';
  SPswdChkDigitsBad          = 'digitsBad';
  SPswdChkSpecialbad         = 'specialBad';
  SPswdChkEntropyBad         = 'entropyBad';

  SMinUpper                  = 'minUpper';
  SMinLower                  = 'minLower';
  SMinDigits                 = 'minDigits';
  SMinLength                 = 'minLength';
  SMinSpecials               = 'minSpecial';
  SMinEntropy                = 'minEntropy';

// NEW API 1.1.3

  SObjAttributes             = 'attributes';

// URIs

const
  SabTypeValues: array [TSabObjectType] of string = (
    SSabSafeBoxType,
    SSabSafeBoxGroupType,
    SSabRecodAccountTempl,
    SSabRecodAccountSecTempl,
    SSabRecordFileTempl,
    SSabRecordCertTempl,
    SSabRecordCCardTempl,
    SSabStation,
    '',
    SSabExternalFile
    );

  SSabSafeBoxHuman           = 'Safe Box';
  SSabSafeBoxGroupHuman      = 'Safe Box Group';
  SSabRecodAccountHuman      = 'Account';
  SSabRecodAccountSecHuman   = 'Secret Account';
  SSabRecordFileHuman        = 'File';
  SSabRecordCertHuman        = 'Certificate';
  SSabRecordCCardHuman       = 'Credit Card';
  SSabStationHuman           = 'Station';
  SSabExternalFileHuman      = 'External File';


  SabTypeHumanTexts: array [TSabObjectType] of string = (
    SSabSafeBoxHuman,
    SSabSafeBoxGroupHuman,
    SSabRecodAccountHuman,
    SSabRecodAccountSecHuman,
    SSabRecordFileHuman,
    SSabRecordCertHuman,
    SSabRecordCCardHuman,
    SSabStationHuman,
    '',
    SSabExternalFileHuman
    );

  SabPlatforms: array[TSabPlatform] of string = ('WINDOWS', 'LINUX', 'MAC', 'LDAP');

// Errors

const
{$IFDEF SAB_MESSAGES_CZE}
  SAuthenticationError = 'P�ihl�en� selhalo. Nespr�vn� u�ivatel, dom�na nebo heslo';
  SExitApp = 'Ukon�it program?';
{$ELSE}
  SAuthenticationError = 'Cannot authenticate. Invalid username, domain or password';
  SExitApp = 'Exit application?';
{$ENDIF}

  SSLDownloadPage = 'http://indy.fulgan.com/SSL';
{$IFDEF CPUX86}
  SSLErrorWWW = 'Nemohu naj�t/zav�st 32-bit SSL knihovnu. Viz ' + SSLDownloadPage + '. Otev��t web?';
  SSLError = 'Nemohu naj�t/zav�st 32-bit SSL knihovnu. Viz ' + SSLDownloadPage + '.';
{$ELSE}
  SSLErrorWWW = 'Nemohu naj�t/zav�st 64-bit SSL knihovnu. Viz ' + SSLDownloadPage + '. Otev��t web?';
  SSLError = 'Nemohu naj�t/zav�st 64-bit SSL knihovnu. Viz ' + SSLDownloadPage + '.';
{$ENDIF}

{$IFDEF SAB_MESSAGES_CZE}
  SConError  = 'Chyba spojen�: %s';
  SImpError  = 'Chyba importu: %s';
  SCfgError  = 'Konfigurace: %s';
  SStatError = 'Stanice: %s';
  SPswdError = 'Heslo: %s';
  SRevError  = 'Chyba maz�n�: %s';
{$ELSE}
  SConError  = 'Connection Error: %s';
  SImpError  = 'Import Error: %s';
  SCfgError  = 'Configuration: %s';
  SStatError = 'Workstation: %s';
  SPswdError = 'Password: %s';
  SRevError  = 'Revert Error: %s';
{$ENDIF}

  TwoFactorDlgTitle = 'TWO-FACTOR AUTHENTICATION';
  TwoFactorDlgStatic = 'Enter 6-digit code from your authenticator application';

  SSystemDomain = 'SYSTEM';

implementation

end.


