
{*******************************************************}
{                                                       }
{       TDP-Ontrack Data Recovery Units                 }
{                                                       }
{       Copyright (c) 1994-2021 TDP                     }
{       Copyright (c) 2004-2018 TDP-Ontrack             }
{                                                       }
{****************************************************tk*}

unit TDP.CommonTypes;

interface

const
  MaxInt64 = $7FFFFFFFFFFFFFFF;

type
{$IF CompilerVersion >= 20}
  String8 = RawByteString;
  String16 = String;

  PChar8 = PAnsiChar;
  PChar16 = PChar;
{$ELSE}
  String8 = AnsiString;
  String16 = WideString;

  PChar8 = PAnsiChar;
  PChar16 = PWideChar;
{$IFEND}

  TBEUInt32 = record
    Value: UInt32;

    class operator Implicit(A: UInt32): TBEUInt32;
    class operator Implicit(A: TBEUInt32): UInt32;
  end;


implementation

uses
  TDP.CommonCode;

{ TBEUInt32 }

class operator TBEUInt32.Implicit(A: UInt32): TBEUInt32;
begin
  Result.Value := BEToLE(A);
end;

class operator TBEUInt32.Implicit(A: TBEUInt32): UInt32;
begin
  Result := BEToLE(A.Value);
end;

end.
